package com.tenlionsoft.aimz_k.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.tenlionsoft.aimz_k.databinding.ItemCategoryBinding
import com.tenlionsoft.aimz_k.model.MsgCategoryBean
import com.tenlionsoft.aimz_k.viewmodel.MsgViewModel
import com.tenlionsoft.baselib.base.BaseBindingAdapter

class CategoryAdapter(
    datas: List<MsgCategoryBean>,
    private val viewModel: MsgViewModel
) : BaseBindingAdapter<MsgCategoryBean, ItemCategoryBinding>(datas) {

    override fun getItemBinding(parent: ViewGroup, viewType: Int): ItemCategoryBinding {
        return ItemCategoryBinding.inflate(LayoutInflater.from(parent.context), parent, false)
    }

    override fun bindItem(holder: BaseViewHolder<ItemCategoryBinding>, position: Int) {
        holder.binding.pos = position
        holder.binding.item = list[position]
        holder.binding.size = if (list.isNotEmpty()) list.size - 1 else 0
        holder.binding.root.setOnClickListener {
            viewModel.onItemClickListener?.onItemClick(list[position])
        }
    }

}